Subject: [xrblock] Fw: Fw: I-D Action: draft-ietf-xrblock-rtcp-xr-discard-01.txt

From: Qin Wu <[email-masked]>
Date: Tue, 13 Dec 2011 11:01:09 +0800

Hi, Varun:
Firstly, Discard metric can not be sample metric. 
How do you know how many packets are discarded if you just sample a few packets at the end 
of measurement Interval for sample metric rather than collect all the packets during the measurement Interval.

Sample metric only apply to a few metric measurement,e.g., PDV metric. This has been discussed on the list for a long time.

Secondly The measurement interval for a metric may be different from the RTCP
reporting interval. In this case, you still need a measurment information block.

Thirdly, it is difficult to locate the *start* of the RTP session
(sequence number of 1st packet, duration of interval applicable to
cumulative measurements) using only RR. Also it is difficult to locate
the start of the RTP session( extended first sequence number,extended last sequence number,
duration of interval appilcable to interval measurements) using only RR.

Fouth, before sampled metric is introduced recently, measurement identity block is originally used
to report the additional measurement information that is not present in the RTCP RR, e.g.,extended 
first sequence number,extended last sequence number.

Hope this clarifies.

Regards!
-Qin
----- Original Message ----- 
From: Varun Singh 
To: Qin Wu 
Cc: [email-masked] 
Sent: Monday, December 12, 2011 8:15 PM
Subject: Re: Fw: [xrblock] I-D Action: draft-ietf-xrblock-rtcp-xr-discard-01.txt

Hi Qin,

Comments inline

On Mon, Dec 12, 2011 at 06:04, Qin Wu <[email-masked]> wrote:

  Hi, Varun:
  Thank for your careful review.
  please see my comments inline.
  ----- Original Message ----- 
  From: Varun Singh 
  To: [email-masked] 
  Sent: Friday, December 09, 2011 7:58 PM
  Subject: Re: [xrblock] I-D Action: draft-ietf-xrblock-rtcp-xr-discard-01.txt

  Hi, 

  Comments about the draft:

>Number of packets discarded over the period (Interval or
>      Cumulative) covered by this report.
"Sampled" should also be mentioned if Interval and cumulative are mentioned. Or say: Number of packets discarded in the period defined in the Interval metric flag (I)  [Qin]: That's fair. I forgot to update this into the document and will mentinon this in the new update. >      Note that the number of packets expected in the period covered by
>      the metric (whether interval or cumulative) is available from the
>      difference between a pair of extended sequence numbers in the
>      Measurement Identity block, so need not be repeated in this block.
My understanding is that the measurement identity is only associated to the sampled interval (I=01). 

  If a measurement identity interval is exactly equal to the cumulative interval or last RTCP interval then shouldn't the reports blocks use the sampled metric flag (I=01) instead of saying they are cumulative (I=11) or interval metrics (I=10)?

  [Qin]: My understanding is No. Sample metric can share the same interval as interval or cumulative
  metric, the only diffence between them is for sample metric, a number of
  samples is only collected and measured at the end of such interval. You may check our 
  discussion with Alan regarding sample metric on the list to see that.

My question is not so much related to sampled metric itself but it is --- when to use the measurement identity? 

My understanding was that the measurement identity is related to the sampled metric and does not apply to the Interval and Cumulative Metrics because it explicitly defines the interval over which the calculation is done (namely, the First and Last Sequence Numbers). While the interval and cumulative metrics are implicitly defined. Interval metric is the last RTCP RR interval and the cumulative metric is from the beginning of the session and therefore do not require an associated measurement identity block. 

If they (cumulative, interval metrics) did require a measurement block, then couldn't the receiver just send them as sampled metrics and associate the interval explicitly in the measurement block?

Regards,
Varun